  ckeditor5_extras_mediaAttribution:
  provider: ckeditor5_extras
  ckeditor5:
    plugins:
      - drupalMedia.DrupalElementStyle
    config:
      drupalElementStyles:
        attribution:
          - name: 'in-house'
            title: 'In house'
            attributeName: 'data-attribution'
            attributeValue: 'in-house'
            modelElements: [ 'drupalMedia' ]
            icon: '<svg>in_house_icon</svg>'
          - name: 'external'
            title: 'External source'
            attributeName: 'data-attribution'
            attributeValue: 'external'
            modelElements: [ 'drupalMedia' ]
            icon: '<svg>external_icon</svg>'
          - name: 'none'
            title: 'Unknown'
            isDefault: true
            modelElements: [ 'drupalMedia' ]
            icon: '<svg>unknown_icon</svg>'
      drupalMedia:
        toolbar:
          - name: 'drupalMedia:attribution'
            display: 'listDropdown'
            items:
              - 'drupalElementStyle:attribution:in-house'
              - 'drupalElementStyle:attribution:external'
              - 'drupalElementStyle:attribution:none'
            defaultItem: 'drupalElementStyle:attribution:in-house'
  drupal:
    label: Media attribution
    elements:
      - <drupal-media data-attribution>
    conditions:
      plugins: [media_media]
